package Koha::Plugin::Rijks::HoldNoteRequired::Leader;

use Modern::Perl;
use base qw(Koha::Plugins::Base);

our $metadata = {
    name            => 'Rijks_HoldNoteRequired_Leader',
    description     => 'Checks if leader makes hold note required',
    implements      => 'IsHoldNoteRequired', # needed for C4::Reserves
};

sub new {
    my ( $class, $args ) = @_;
    $args->{'metadata'} = $metadata;
    my $self = $class->SUPER::new($args);
    return $self;
}

sub check {
    my ( $self, $args ) = @_;

    # check MARC21 leader pos 7 (Bibliographic level)
    my $marcrecord = $args->{record};
    my $ldr = $marcrecord->leader;

    # Serial or Collection
    return $ldr && substr($ldr,7,1) =~ /s|c/? 1: 0;
}

sub install { #nothing to do
    my ( $self, $args ) = @_;
}

sub uninstall { #nothing to do
    my ( $self, $args ) = @_;
}

1;
